function SaveForm() {
    var inputs = document.querySelectorAll("[data-pref]");
    var arr = [];
    for (var i of inputs) {
        var pref = i.dataset.pref;
        if (i.type == "checkbox")
            arr.push([pref, i.checked]);
        else
            arr.push([pref, i.value]);
    }
    browser.addToolbarButtons.setPref(arr);
}

window.addEventListener("load", function onLoad() {
    var inputs = document.querySelectorAll("[data-pref]");
    var arr = [];
    for (var i of inputs) {
        var pref = i.dataset.pref;
        arr.push(pref);
    }
    browser.addToolbarButtons.getPref(arr).then(res => {
        res.forEach(nv => {
            var input = document.querySelector(`[data-pref="${nv[0]}"]`);
            if (input.type == "checkbox") {
                input.checked = nv[1];
            } else {
                input.value = nv[1];
            }
        });
    });
    document.querySelector("#saveform").onclick = function() { SaveForm(); };
}, { once: true });
